Facebook Developers
DocsToolsSupportNewsApps
Log In
  • Social Plugins
  • Facebook Login
  • Open Graph
  • Facebook APIs
    • Graph API
    • FQL
    • Open Graph
    • Dialogs
    • Chat
    • Internationalization
    • Ads
  • Games
  • Media
  • Payments
  • App Center
  • Promote Your App
  • iOS
  • Android
  • Web
  • Technology Partners
  • Objects
    • Achievement(Instance)
    • Album
    • App and Game Groups
    • Application
    • Checkin
    • Comment
    • Data Access - Login, Privacy and Permissions
    • Domain
    • Errors
    • Event
    • Field Expansion
    • FriendList
    • Group
    • Insights
    • Link
    • Message
    • Note
    • Offer
    • Order
    • Page
    • Pagination
    • Payment
    • Photo
    • Pictures
    • Post
    • Privacy Parameter
    • Publishing
    • Question
    • QuestionOption
    • Realtime Updates
    • Review
    • Search
    • Selecting Results
    • Status message
    • Thread
    • User
    • Video

Request Parameters

Facebook APIs › Graph API › Request Parameters

privacy

The privacy parameter is used when making a post to set its visibility in a person's network. See the full privacy parameter article for more information on how to use it.

metadata=1

You can look at metadata information for many objects in the graph. Adding metadata=1 to a request URL is how you access it. Please see the full article on introspection for more information.

date_format

This is used to control the format for dates generated in request responses. Please see the article on dates for more information.

with=location

The with=location parameter can be used to specify that you can only return posts with a location location when querying certain objects. See the document on selecting results.

type

The type parameter is used in search to tell the search API what kind of objects you're looking for.

center and distance

center and distance are both used in search to find objects by geographic location.

access_token

The access_token is a token that's passed along with most requests that proves that an app can perform operations on behalf of a user, page or app. For a short definition, see the login section of the Graph API getting started guide or our full page on access tokens as part of the login documentation.

fields

The fields parameter is used in search and selection to select which fields you would like to see returned from a query.

ids

The ids parameter can be used in selection to request more than one object to be returned from a single query. It can also be used to get the object that corresponds to a URL in the graph.

locale

This parameter is used to control what language is used when returned. Please see our Graph API page on locales for more information.

signed_request

This parameter is used to pass demographic information to certain kinds of apps to implement geographic or age-based restrictions. Please see our documentation on the signed request as part of the login documentation or the reference page on the parameter.

callback

The callback parameter is a string you can pass into a call that makes it easier to build callbacks in JavaScript. If your response is JSON, the callback name will be the name of the dictionary that's returned. For example, the Graph API explorer makes a call like this:

https://graph.facebook.com/774635482?fields=id%2Cname&callback=___GraphExplorerAsyncCallback___&method=GET&format=json

The returned value will look something like:

/**/ ___GraphExplorerAsyncCallback___({
  "id": "774635482",
  "name": "Christopher Blizzard"
});

format=json

Added in 2007, this is how you tell the platform to return JSON.

redirect=false

Used for pictures this gives you the data about a picture instead of the picture itself.

width and height

Used in pictures this controls what size pictures to return.

Updated about 5 months ago
Facebook © 2013 · English (US)
AboutAdvertisingCareersPlatform PoliciesPrivacy Policy